Page MenuHomePhabricator

[ArticleFeedbackv5] Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode()
Closed, ResolvedPublic

Description

Running tests:

There were 5 errors:

1) ArticleFeedbackv5ModelTest::testInsert
Error: Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode()

/workspace/src/extensions/ArticleFeedbackv5/data/DataModelBackend.LBFactory.php:84
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:617
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:400
/workspace/src/extensions/ArticleFeedbackv5/ArticleFeedbackv5.model.php:487
/workspace/src/extensions/ArticleFeedbackv5/tests/phpunit/ArticleFeedbackv5ModelTest.php:66
/workspace/src/tests/phpunit/MediaWikiTestCase.php:423
/workspace/src/maintenance/doMaintenance.php:94

2) ArticleFeedbackv5ModelTest::testUpdate
Error: Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode()

/workspace/src/extensions/ArticleFeedbackv5/data/DataModelBackend.LBFactory.php:84
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:617
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:400
/workspace/src/extensions/ArticleFeedbackv5/ArticleFeedbackv5.model.php:487
/workspace/src/extensions/ArticleFeedbackv5/tests/phpunit/ArticleFeedbackv5ModelTest.php:79
/workspace/src/tests/phpunit/MediaWikiTestCase.php:423
/workspace/src/maintenance/doMaintenance.php:94

3) ArticleFeedbackv5ModelTest::testGet
Error: Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode()

/workspace/src/extensions/ArticleFeedbackv5/data/DataModelBackend.LBFactory.php:84
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:617
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:400
/workspace/src/extensions/ArticleFeedbackv5/ArticleFeedbackv5.model.php:487
/workspace/src/extensions/ArticleFeedbackv5/tests/phpunit/ArticleFeedbackv5ModelTest.php:95
/workspace/src/tests/phpunit/MediaWikiTestCase.php:423
/workspace/src/maintenance/doMaintenance.php:94

4) ArticleFeedbackv5ModelTest::testGetList
Error: Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode()

/workspace/src/extensions/ArticleFeedbackv5/data/DataModelBackend.LBFactory.php:84
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:617
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:400
/workspace/src/extensions/ArticleFeedbackv5/ArticleFeedbackv5.model.php:487
/workspace/src/extensions/ArticleFeedbackv5/tests/phpunit/ArticleFeedbackv5ModelTest.php:113
/workspace/src/tests/phpunit/MediaWikiTestCase.php:423
/workspace/src/maintenance/doMaintenance.php:94

5) ArticleFeedbackv5ModelTest::testGetCount
Error: Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode()

/workspace/src/extensions/ArticleFeedbackv5/data/DataModelBackend.LBFactory.php:84
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:617
/workspace/src/extensions/ArticleFeedbackv5/data/DataModel.php:400
/workspace/src/extensions/ArticleFeedbackv5/ArticleFeedbackv5.model.php:487
/workspace/src/extensions/ArticleFeedbackv5/tests/phpunit/ArticleFeedbackv5ModelTest.php:140
/workspace/src/tests/phpunit/MediaWikiTestCase.php:423
/workspace/src/maintenance/doMaintenance.php:94

Details

Related Gerrit Patches:
mediawiki/extensions/ArticleFeedbackv5 : masterReplace removed method getLaggedSlaveMode()

Event Timeline

hashar created this task.May 3 2018, 9:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 9:23 PM
Vvjjkkii renamed this task from [ArticleFeedbackv5] Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode() to rndaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from rndaaaaaaa to [ArticleFeedbackv5] Call to undefined method Wikimedia\Rdbms\LoadBalancer::getLaggedSlaveMode().Jul 2 2018, 4:31 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 443979 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/ArticleFeedbackv5@master] Replace removed method getLaggedSlaveMode()

https://gerrit.wikimedia.org/r/443979

hashar closed this task as Resolved.Jul 5 2018, 2:49 PM
hashar claimed this task.

Change 443979 merged by jenkins-bot:
[mediawiki/extensions/ArticleFeedbackv5@master] Replace removed method getLaggedSlaveMode()

https://gerrit.wikimedia.org/r/443979